## anet 0.1

=== Makefile ===
PREFIX   ?= $(HOME)/libraries
TESTDIR   = tests
OBJDIR    = obj
COVDIR    = $(OBJDIR)/cov
LIBDIR    = lib
SRCDIR    = src
DOCDIR    = doc/html
GPR_FILES = gnat/*.gpr

MAJOR   = 0
MINOR   = 1
VERSION = $(MAJOR).$(MINOR)
ANET    = libanet-$(VERSION)
TARBALL = $(ANET).tar.bz2

SO_LIBRARY   = libanet.so.$(VERSION)
LIBRARY_KIND = dynamic

NUM_CPUS := $(shell getconf _NPROCESSORS_ONLN)

GMAKE_OPTS = -p -R -j$(NUM_CPUS)

all: build_lib

build_lib:
	@gnatmake $(GMAKE_OPTS) -Panet_lib -XVERSION="$(VERSION)" \
		-XLIBRARY_KIND="$(LIBRARY_KIND)"

build_tests:
	@gnatmake $(GMAKE_OPTS) -Panet_tests

tests: build_tests
	@$(OBJDIR)/$(TESTDIR)/test_runner

build_all: build_tests build_lib

cov:
	@rm -f $(COVDIR)/*.gcda
	@gnatmake $(GMAKE_OPTS) -Panet_tests.gpr -XBUILD="coverage"
	@$(COVDIR)/test_runner || true
	@lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
	@lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
	@genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)

install: install_lib install_$(LIBRARY_KIND)

install_lib: build_lib
	install -d $(PREFIX)/lib/gnat
	install -d $(PREFIX)/lib/anet
	install -d $(PREFIX)/include/anet
	install -m 644 $(SRCDIR)/*.ad[bs] $(PREFIX)/include/anet
	install -m 444 $(LIBDIR)/$(LIBRARY_KIND)/*.ali $(PREFIX)/lib/anet
	install -m 644 $(GPR_FILES) $(PREFIX)/lib/gnat

install_static:
	install -m 444 $(LIBDIR)/$(LIBRARY_KIND)/libanet.a $(PREFIX)/lib

install_dynamic:
	install -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
	cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libanet.so

install_tests: build_tests
	install -v -d $(PREFIX)/$(TESTDIR)
	install -m 755 $(OBJDIR)/$(TESTDIR)/test_runner $(PREFIX)/$(TESTDIR)
	@cp -vr data $(PREFIX)/$(TESTDIR)

doc:
	@$(MAKE) -C doc

clean:
	@rm -rf $(OBJDIR)
	@rm -rf $(LIBDIR)
	@$(MAKE) -C doc clean

dist:
	@echo "Creating release tarball $(TARBALL) ... "
	@git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)

.PHONY: build_all build_lib build_tests clean dist doc install \
        install_dynamic install_lib install_static install_tests tests

=== doc/Makefile ===
DESTDIR   ?= html
STYLEPATH ?= .
PREPARE   := $(shell mkdir -p $(DESTDIR))

ASCIIDOC_OPTS = \
	--backend=xhtml11 \
	--conf-file=page.conf \
	-a stylesdir=$(STYLEPATH) \
	-a linkcss \
	-a disable-javascript \
	-o -

all: $(DESTDIR)/asciidoc.css $(DESTDIR)/index.html

$(DESTDIR)/asciidoc.css: asciidoc.css
	cp $< $@

$(DESTDIR)/index.html: ../README page.conf
	asciidoc $(ASCIIDOC_OPTS) $< > $@

clean:
	@rm -f $(DESTDIR)/*.html
	@rm -f $(DESTDIR)/*.css

distclean:
	@rm -rf $(DESTDIR)

PHONY: clean distclean

=== debian/changelog ===
anet (0.1-3) unstable; urgency=low

  * Remove mips, mipsel and sparc from Architecture list.
    The Anet unit tests do not pass on these architectures (see Debian
    bug #673772 for details).

 -- Reto Buerki <reet@codelabs.ch>  Sun, 27 May 2012 13:57:14 +0200

anet (0.1-2) unstable; urgency=low

  * Disable multicast tests.
    These tests do not work on the buildd's.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 21 May 2012 20:50:02 +0200

anet (0.1-1) unstable; urgency=low

  * Initial release (Closes: #669251)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 18 Apr 2012 15:34:07 +0200

=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.6, libahven3-dev, socat
Standards-Version: 3.9.3
Homepage: http://www.codelabs.ch/anet/
Vcs-Browser: http://git.codelabs.ch/?p=anet.git
Vcs-Git: http://git.codelabs.ch/git/anet.git

Package: libanet0.1
Architecture: amd64 armel armhf i386 ia64 powerpc s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation and support for IPv4/UDP packet creation
 and validation. It can be used to implement custom protocols on top of IPv4.
 The library also provides a binding to the Linux Packet Filter (LPF) system.

Package: libanet0.1-dev
Section: libdevel
Architecture: amd64 armel armhf i386 ia64 powerpc s390 s390x
Depends: ${misc:Depends}, libanet0.1 (= ${binary:Version}), gnat, gnat-4.6
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation and support for IPv4/UDP packet creation
 and validation. It can be used to implement custom protocols on top of IPv4.
 The library also provides a binding to the Linux Packet Filter (LPF) system.
 .
 This package contains the development files.

Package: libanet0.1-dbg
Section: debug
Priority: extra
Architecture: amd64 armel armhf i386 ia64 powerpc s390 s390x
Depends: ${misc:Depends}, libanet0.1 (= ${binary:Version}),
 libanet0.1-dev (= ${binary:Version})
Description: Ada networking library (debug)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation and support for IPv4/UDP packet creation
 and validation. It can be used to implement custom protocols on top of IPv4.
 The library also provides a binding to the Linux Packet Filter (LPF) system.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) LIBRARY_KIND=dynamic
	$(MAKE) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp install
	$(MAKE) LIBRARY_KIND=static PREFIX=$(CURDIR)/debian/tmp install
	rm -rf debian/tmp/lib/gnat
	mkdir -p debian/tmp/usr/share/ada/adainclude
	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

override_dh_auto_test:
	$(MAKE) tests

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=libanet0.1-dbg

## anet 0.3.1

=== Makefile ===
PREFIX   ?= $(HOME)/libraries
TESTDIR   = tests
OBJDIR    = obj
COVDIR    = $(OBJDIR)/cov
LIBDIR    = lib
SRCDIR    = src
GPR_FILES = gnat/*.gpr

MAJOR    = 0
MINOR    = 3
REVISION = 1
VERSION  = $(MAJOR).$(MINOR).$(REVISION)
ANET     = libanet-$(VERSION)
TARBALL  = $(ANET).tar.bz2

SO_LIBRARY   = libanet.so.$(VERSION)
LIBRARY_KIND = dynamic

# Command variables
INSTALL         = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA    = $(INSTALL) --mode=644 --preserve-timestamps
INSTALL_ALI     = $(INSTALL) --mode=444

OS ?= linux

NUM_CPUS ?= 1

# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
# environment or on the command line.
GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
# GMAKE_OPTS should not be overridden because -p is essential.
GMAKE_OPTS = -XOS=$(OS) -p ${GNATFLAGS} -margs

# GNU-style directory variables
prefix      = ${PREFIX}
exec_prefix = ${prefix}
includedir  = ${prefix}/include
libdir      = ${exec_prefix}/lib
gprdir      = ${prefix}/lib/gnat

all: build_lib

build_lib:
	@gnatmake $(GMAKE_OPTS) -Panet_lib -XVERSION="$(VERSION)" \
		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"

build_tests:
	@gnatmake $(GMAKE_OPTS) -Panet_tests

tests: build_tests
	@$(OBJDIR)/$(TESTDIR)/test_runner

build_all: build_tests build_lib

cov:
	@rm -f $(COVDIR)/*.gcda
	@gnatmake $(GMAKE_OPTS) -Panet_tests.gpr -XBUILD="coverage"
	@$(COVDIR)/test_runner || true
	@lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
	@lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
	@genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)

examples:
	@gnatmake $(GMAKE_OPTS) -Panet_examples

install: install_lib install_$(LIBRARY_KIND)

install_lib: build_lib
	$(INSTALL) -d $(DESTDIR)$(gprdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/anet
	$(INSTALL) -d $(DESTDIR)$(includedir)/anet
	$(INSTALL_DATA) $(SRCDIR)/*.ad[bs] $(DESTDIR)$(includedir)/anet
	$(INSTALL_DATA) $(SRCDIR)/$(OS)/*.ad[bs] $(DESTDIR)$(includedir)/anet
	$(INSTALL_ALI) $(LIBDIR)/$(LIBRARY_KIND)/*.ali $(DESTDIR)$(libdir)/anet
	$(INSTALL_DATA) $(GPR_FILES) $(DESTDIR)$(gprdir)

install_static:
	$(INSTALL_DATA) $(LIBDIR)/$(LIBRARY_KIND)/libanet.a $(DESTDIR)$(libdir)

install_dynamic:
	$(INSTALL_PROGRAM) $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(DESTDIR)$(libdir)
	cd $(DESTDIR)$(libdir) && ln -sf $(SO_LIBRARY) libanet.so

install_tests: build_tests
	$(INSTALL) -v -d $(DESTDIR)$(prefix)/$(TESTDIR)
	$(INSTALL_PROGRAM) $(OBJDIR)/$(TESTDIR)/test_runner $(DESTDIR)$(prefix)/$(TESTDIR)
	cp -r data $(DESTDIR)$(prefix)/$(TESTDIR)

doc:
	@$(MAKE) -C doc

clean:
	@rm -rf $(OBJDIR)
	@rm -rf $(LIBDIR)
	@$(MAKE) -C doc clean

dist:
	@echo "Creating release tarball $(TARBALL) ... "
	@git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)

.PHONY: doc examples tests

=== doc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 $(DESTDIR)/asciidoc.css: asciidoc.css
 	cp $< $@
 
-$(DESTDIR)/index.html: ../README page.conf
+$(DESTDIR)/index.html: index page.conf ../README
 	asciidoc $(ASCIIDOC_OPTS) $< > $@
 
 clean:

=== debian/changelog ===
anet (0.3.1-1ubuntu1) utopic; urgency=medium

  * Build everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Aug 2014 21:15:28 +0200

anet (0.3.1-1) unstable; urgency=medium

  * Update to release 0.3.1
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update binary package names
  * Adapt Multicast patch to new version
  * Remove socat from Build-Depends
  * Add source-highlight to Build-Depends
  * Specify debian branch in Vcs-Git field
  * Update package descriptions in debian/control
  * Update to Standards-Version 3.9.5
  * Enable dpkg-buildflags hardening options
  * Declare conflict with libanet0.1-dev
  * Add OS=bsd to make options on kfreebsd
  * Add kfreebsd-amd64, kfreebsd-i386 to Architecture
  * Remove ia64, s390 from Architecture field
  * Declare NUM_CPUS variable in debian/rules
  * Transition to gnat-4.9 compiler (Closes: #756081)
  * Update ahven Build-Depends to libahven4-dev

 -- Reto Buerki <reet@codelabs.ch>  Tue, 12 Aug 2014 21:32:41 +0200

=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.9, libahven4-dev,
 source-highlight
Standards-Version: 3.9.5
Homepage: http://www.codelabs.ch/anet/
Vcs-Browser: http://git.codelabs.ch/?p=anet.git
Vcs-Git: http://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet0.3.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libanet0.3.1 (= ${binary:Version}), gnat, gnat-4.9
Conflicts: libanet0.1-dev
Replaces: libanet0.1-dev
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

Package: libanet0.3.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libanet0.3.1 (= ${binary:Version}),
 libanet0.3.1-dev (= ${binary:Version})
Description: Ada networking library (debug)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
export ADAFLAGS

NUM_CPUS  = $(shell getconf _NPROCESSORS_ONLN)
MAKE_OPTS = NUM_CPUS=$(NUM_CPUS)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
MAKE_OPTS += OS=bsd
endif

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) $(MAKE_OPTS) PREFIX=$(CURDIR)/debian/tmp install
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static PREFIX=$(CURDIR)/debian/tmp install
	rm -rf debian/tmp/lib/gnat
	mkdir -p debian/tmp/usr/share/ada/adainclude
	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=libanet0.3.1-dbg

=== debian/watch ===
version=3
http://www.codelabs.ch/download/libanet-(.*)\.tar\.bz2

## anet 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX   ?= $(HOME)/libraries
-TESTDIR   = tests
+TESTDIR   = $(OS)/tests
 OBJDIR    = obj
 COVDIR    = $(OBJDIR)/cov
 LIBDIR    = lib
@@ -8,7 +8,7 @@
 
 MAJOR    = 0
 MINOR    = 3
-REVISION = 1
+REVISION = 3
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2
@@ -73,14 +73,14 @@
 	$(INSTALL) -d $(DESTDIR)$(includedir)/anet
 	$(INSTALL_DATA) $(SRCDIR)/*.ad[bs] $(DESTDIR)$(includedir)/anet
 	$(INSTALL_DATA) $(SRCDIR)/$(OS)/*.ad[bs] $(DESTDIR)$(includedir)/anet
-	$(INSTALL_ALI) $(LIBDIR)/$(LIBRARY_KIND)/*.ali $(DESTDIR)$(libdir)/anet
+	$(INSTALL_ALI) $(LIBDIR)/$(OS)/$(LIBRARY_KIND)/*.ali $(DESTDIR)$(libdir)/anet
 	$(INSTALL_DATA) $(GPR_FILES) $(DESTDIR)$(gprdir)
 
 install_static:
-	$(INSTALL_DATA) $(LIBDIR)/$(LIBRARY_KIND)/libanet.a $(DESTDIR)$(libdir)
+	$(INSTALL_DATA) $(LIBDIR)/$(OS)/$(LIBRARY_KIND)/libanet.a $(DESTDIR)$(libdir)
 
 install_dynamic:
-	$(INSTALL_PROGRAM) $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(DESTDIR)$(libdir)
+	$(INSTALL_PROGRAM) $(LIBDIR)/$(OS)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(DESTDIR)$(libdir)
 	cd $(DESTDIR)$(libdir) && ln -sf $(SO_LIBRARY) libanet.so
 
 install_tests: build_tests

=== debian/changelog ===
anet (0.3.3-1) unstable; urgency=medium

  * Update to release 0.3.3
  * Update debian/copyright
  * Drop explicit libanet0.3.1-dbg package
  * Transition to gnat-6 compiler (Closes: #830336)
  * Update binary package names
  * Add arm64 to supported architectures
  * Switch codelabs URLs to HTTPS
  * Update to Standards-Version 3.9.8
  * Update local gbp.conf
  * Update ahven Build-Depends to libahven5-dev
  * Include ada/debian_packaging-6.mk in debian/rules
  * Update addon/anet.gpr file
  * Drop obsolete Conflicts/Replaces
  * Add link-with-shared autopkgtest
  * Set TZ=UTC before calling asciidoc

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jul 2016 10:44:06 +0200

=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-6, libahven5-dev,
 source-highlight
Standards-Version: 3.9.8
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.3
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet1-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc s390x
Depends: ${misc:Depends}, libanet0.3.3 (= ${binary:Version}), gnat, gnat-6
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-6.mk

export GNAT_BUILDER_FLAGS = $(BUILDER_OPTIONS)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
MAKE_OPTS += OS=bsd
endif

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) $(MAKE_OPTS) PREFIX=$(CURDIR)/debian/tmp install
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static PREFIX=$(CURDIR)/debian/tmp install
	rm -rf debian/tmp/lib/gnat

override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

=== debian/watch ===
version=3
https://www.codelabs.ch/download/libanet-(.*)\.tar\.bz2

## anet 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PREFIX   ?= $(HOME)/libraries
-TESTDIR   = $(OS)/tests
-OBJDIR    = obj
+TESTDIR   = tests
+OBJDIR    = obj/$(OS)
 COVDIR    = $(OBJDIR)/cov
 LIBDIR    = lib
 SRCDIR    = src
@@ -8,7 +8,7 @@
 
 MAJOR    = 0
 MINOR    = 3
-REVISION = 3
+REVISION = 4
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2

=== doc/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	cp $< $@
 
 $(DESTDIR)/index.html: index page.conf ../README
-	asciidoc $(ASCIIDOC_OPTS) $< > $@
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) $< > $@
 
 clean:
 	@rm -f $(DESTDIR)/*.html

=== debian/changelog ===
anet (0.3.4-1) unstable; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.3.4
  * Don't restrict architectures (Closes: #758742)

  [ Nicolas Boulenguez ]
  * Watch file version 4.
  * Drop applied UTC asciidoc patch.
  * Use default compression for Debian diff.
  * Runtime test: remove unused variable, display executed cmds for debuggers.
  * Debhelper 10. Replace deprecated --fail-missing option.
  * Standards-Version: 4.0.1. Handle DEB_BUILD_OPTIONS=nodoc.
  * Include dpkg/architecture.mk instead of running dpkg-architecture.
  * Enable all hardening flags.
  * Replace many hardcoded versions with generated contents.
  * Make runtime package Multi-Arch: same.
  * Build with gnat 7 and ahven 6 (Closes: #872427).
  * Standards-Version: 4.1.0.
  * Declare phony targets.
  * Handle DEB_BUILD_OPTIONS=nocheck.
  * Avoid default values and silent transmission via the environment.
  * Switch to dh-ada-library.
  * Make patch header compliant with DEP-3.
  * Check upstream archive signatures.
  * Fix missing copyright attributions.

 -- Reto Buerki <reet@codelabs.ch>  Sat, 02 Sep 2017 00:20:47 +0200

=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 10),
 gnat, gnat-7,
 dh-ada-library,
 libahven6-dev,
 source-highlight
Standards-Version: 4.1.0
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet2-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
dev_pkg := $(shell sed -n \
  '/^Package: \(libanet[0-9.]\+-dev\)$$/{s//\1/;p;q}' debian/control)

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  $(foreach v,ADAFLAGS LDFLAGS OS,'$(v)=$($(v))') \
  GNAT_BUILDER_FLAGS='$(BUILDER_OPTIONS)'

%:
	dh ${@} --with ada-library

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif

# Ignore upstream install target.
.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKE_OPTS) tests
endif

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library LIBRARY_KIND=dynamic OS=$(OS) anet_lib.gpr

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/$(dev_pkg).doc-base
	dh_installdocs -p$(dev_pkg) doc/html/*
	dh_installdocs --remaining-packages

debian/$(dev_pkg).doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean debian/$(dev_pkg).doc-base

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, gprbuild

## anet 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 PREFIX   ?= $(HOME)/libraries
 TESTDIR   = tests
 OBJDIR    = obj/$(OS)
-COVDIR    = $(OBJDIR)/cov
+COVDIR    = $(OBJDIR)/coverage
 LIBDIR    = lib
 SRCDIR    = src
 GPR_FILES = gnat/*.gpr
 
 MAJOR    = 0
-MINOR    = 3
-REVISION = 4
+MINOR    = 4
+REVISION = 1
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2
@@ -26,12 +26,12 @@
 
 NUM_CPUS ?= 1
 
-# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# GNAT_BUILDER_FLAGS may be overridden in the
 # environment or on the command line.
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -XOS=$(OS) -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -p ${GNAT_BUILDER_FLAGS} \
+  $(foreach v,ADAFLAGS LDFLAGS OS VERSION,'-X$(v)=$($(v))')
 
 # GNU-style directory variables
 prefix      = ${PREFIX}
@@ -43,27 +43,26 @@
 all: build_lib
 
 build_lib:
-	@gnatmake $(GMAKE_OPTS) -Panet_lib -XVERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
+	gprbuild $(GMAKE_OPTS) anet_lib.gpr -XLIBRARY_KIND=$(LIBRARY_KIND)
 
 build_tests:
-	@gnatmake $(GMAKE_OPTS) -Panet_tests
+	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XLIBRARY_KIND=static -XBUILD=tests
 
 tests: build_tests
-	@$(OBJDIR)/$(TESTDIR)/test_runner
+	$(OBJDIR)/$(TESTDIR)/test_runner
 
 build_all: build_tests build_lib
 
 cov:
-	@rm -f $(COVDIR)/*.gcda
-	@gnatmake $(GMAKE_OPTS) -Panet_tests.gpr -XBUILD="coverage"
-	@$(COVDIR)/test_runner || true
-	@lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
-	@lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
-	@genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)
+	rm -f $(COVDIR)/*.gcda
+	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XLIBRARY_KIND=static -XBUILD=coverage
+	$(COVDIR)/test_runner || true
+	lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
+	lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
+	genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)
 
 examples:
-	@gnatmake $(GMAKE_OPTS) -Panet_examples
+	gprbuild $(GMAKE_OPTS) anet_examples.gpr -XLIBRARY_KIND=static
 
 install: install_lib install_$(LIBRARY_KIND)
 
@@ -89,15 +88,15 @@
 	cp -r data $(DESTDIR)$(prefix)/$(TESTDIR)
 
 doc:
-	@$(MAKE) -C doc
+	$(MAKE) -C doc
 
 clean:
-	@rm -rf $(OBJDIR)
-	@rm -rf $(LIBDIR)
-	@$(MAKE) -C doc clean
+	rm -rf $(OBJDIR)
+	rm -rf $(LIBDIR)
+	$(MAKE) -C doc clean
 
 dist:
 	@echo "Creating release tarball $(TARBALL) ... "
-	@git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)
+	git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)
 
 .PHONY: doc examples tests

=== debian/changelog ===
anet (0.4.1-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:39 +0200

anet (0.4.1-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.4.1 (Closes: #887406)
  * Standards-Version: 4.1.5. Rules-Requires-Root: no
  * Add gprbuild to Build-Depends
  * Disable all socket tests. See #875466
  * Add Nicolas Boulenguez to Uploaders

  [ Nicolas Boulenguez ]
  * Switch to debhelper 11
  * Get dev_pkg and gnat_version slightly more efficiently
  * Pass VERSION=unused to dh_ada_library
  * Install examples
  * Update copyright years
  * Rename shared library and -dev package
  * Drop source/local-options
  * Rebuild with gnat-8 (Closes: #903978)

 -- Reto Buerki <reet@codelabs.ch>  Thu, 09 Aug 2018 15:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Reto Buerki <reet@codelabs.ch>
-Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
-Build-Depends: asciidoc, debhelper (>= 10),
- gnat, gnat-7,
+Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
+ Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: asciidoc, debhelper (>= 11),
+ gnat, gnat-8,
+# This line is parsed by debian/rules.
  dh-ada-library,
- libahven6-dev,
+ gprbuild,
+ libahven7-dev,
  source-highlight
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/anet/
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet0.3.4
+Package: libanet0.4.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -22,7 +26,7 @@
  provides a BSD socket implementation with a high level of abstraction and an
  extendable socket type hierarchy.
 
-Package: libanet2-dev
+Package: libanet3-dev
 # This line is parsed by debian/rules.
 Section: libdevel
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
-dev_pkg := $(shell sed -n \
-  '/^Package: \(libanet[0-9.]\+-dev\)$$/{s//\1/;p;q}' debian/control)
+$(foreach line,$(shell sed -n '\
+  s/^Package: \(libanet[0-9.]\+-dev\)$$/ dev_pkg:=\1      /p;\
+  s/^ gnat, gnat-\([0-9]\+\).*/          gnat_version:=\1 /p;\
+ ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/architecture.mk
@@ -37,7 +38,8 @@
 
 .PHONY: override_dh_ada_library
 override_dh_ada_library:
-	dh_ada_library LIBRARY_KIND=dynamic OS=$(OS) anet_lib.gpr
+	dh_ada_library \
+	  LIBRARY_KIND=dynamic OS=$(OS) VERSION=ignored anet_lib.gpr
 
 .PHONY: override_dh_installdocs
 override_dh_installdocs: debian/$(dev_pkg).doc-base
@@ -47,6 +49,11 @@
 debian/$(dev_pkg).doc-base: debian/template_libanet-dev.doc-base
 	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
 
+.PHONY: override_dh_installexamples
+override_dh_installexamples:
+	dh_installexamples -p$(dev_pkg) examples/*
+	dh_installexamples --remaining-packages
+
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ads -X.adb -XMakefile

## anet 0.4.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 MAJOR    = 0
 MINOR    = 4
-REVISION = 1
+REVISION = 2
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2

=== doc/Makefile ===
DESTDIR ?= html
PREPARE := $(shell mkdir -p $(DESTDIR))

ASCIIDOC_OPTS = \
	-a icons=font \
	-a iconfont-remote! \
	-a stylesdir=css \
	-a stylesheet=styles.css \
	-a sectanchors \
	-o -

all: $(DESTDIR)/index.html

$(DESTDIR)/index.html: $(DESTDIR)/fonts $(DESTDIR)/css/font-awesome.css
$(DESTDIR)/index.html: index ../README css/styles.css
	TZ=UTC asciidoctor $(ASCIIDOC_OPTS) $< > $@

$(DESTDIR)/css/font-awesome.css: css/font-awesome.css
	mkdir -p $(DESTDIR)/css
	cp $< $@

$(DESTDIR)/fonts: fonts
	cp -R $< $@

clean:
	@rm -rf $(DESTDIR)

=== debian/changelog ===
anet (0.4.2-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 11:35:13 +0200

anet (0.4.2-5) experimental; urgency=medium

  * Build with gnat-11 in experimental. Rename -dev package accordingly.
  * Standards-Version: 4.6.0.
  * Use unversioned debian_packaging.mk from gnat package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Oct 2021 16:34:41 +0000

anet (0.4.2-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 14:49:36 +0100

anet (0.4.2-3) experimental; urgency=medium

  * Rebuild with gnat-10. Rename -dev and lib packages accordingly.
  * Set shared object version from lib package name.
  * Use dh-sequence-* syntax for dh-ada-library.
  * Pass build flags via the environment.
  * Debhelper 13.
  * Change order of binary packages and simplify Debhelper stuff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2020 16:51:50 +0000

anet (0.4.2-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:48:31 +0100

anet (0.4.2-1) experimental; urgency=medium

  * New upstream release, built with gcc-9.
    Rename -dev and lib packages accordingly.
  * Debhelper 12 does not compress examples anymore.
  * Adapt to asciidoctor doc build. Closes: #894194.
  * Standards-Version: 4.4.1.
  * Repackage and format documentation without special fonts
    (partially cherry-picked upstream).
  * Enable all linker warnings.
  * Update AUTOPKGTEST_TMP variable name.
  * Update upstream signing key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Nov 2019 17:17:40 +0100

=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
 ruby-pygments.rb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet6-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

# This line is parsed by debian/rules:
Package: libanet0.4.3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^Package: \(libanet[0-9.]\+-dev\)$$/ dev_pkg:=\1      /p;\
  s/^Package: libanet\([0-9.]\+\)$$/     soversion:=\1    /p;\
 ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  OS=$(OS) \
  VERSION=$(soversion) \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif

# Ignore upstream install target.
.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library \
	  LIBRARY_KIND=dynamic OS=$(OS) VERSION=ignored anet_lib.gpr

# d/doc-base affects the -dev package because it is listed first in d/control.
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

## anet 0.4.3

=== Makefile ===
PREFIX   ?= $(HOME)/libraries
TESTDIR   = tests
OBJDIR    = obj/$(OS)
COVDIR    = $(OBJDIR)/coverage
LIBDIR    = lib

MAJOR    = 0
MINOR    = 4
REVISION = 3
# Set VERSION to '' for a static library.
VERSION  = $(MAJOR).$(MINOR).$(REVISION)
ANET     = libanet-$(VERSION)
TARBALL  = $(ANET).tar.bz2

OS ?= linux

NUM_CPUS ?= 1

# GNAT_BUILDER_FLAGS may be overridden in the
# environment or on the command line.
GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
# GMAKE_OPTS should not be overridden because -p is essential.
GMAKE_OPTS = -p ${GNAT_BUILDER_FLAGS} \
  $(foreach v,ADAFLAGS LDFLAGS OS,'-X$(v)=$($(v))')

# This variable explicitly exists for override by people with a
# different directory hierarchy.
# exec is unrelated and currently only used by tests
GPRINSTALLFLAGS := \
  --prefix=$(DESTDIR)$(PREFIX) \
  --no-manifest \
  --exec-subdir=tests \
  --ali-subdir=lib/anet \
  --lib-subdir=lib \
  --project-subdir=lib/gnat \
  --sources-subdir=include/anet \
  # EOL

all: build-lib

build-lib:
	gprbuild $(GMAKE_OPTS) anet.gpr -XVERSION=$(VERSION)

build-tests:
	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XVERSION= -XBUILD=tests

tests: build-tests
	$(OBJDIR)/$(TESTDIR)/test_runner

build-all: build-tests build-lib

cov:
	rm -f $(COVDIR)/*.gcda
	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XVERSION= -XBUILD=coverage
	$(COVDIR)/test_runner || true
	lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
	lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
	genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)

build-examples:
	gprbuild $(GMAKE_OPTS) anet_examples.gpr -XVERSION=

install: build-lib
	gprinstall -Panet.gpr -f -p $(GPRINSTALLFLAGS) \
	  -XVERSION=$(VERSION) -XOS=$(OS)

install-tests: build-tests
	gprinstall -Panet_tests.gpr -f -p $(GPRINSTALLFLAGS) \
	  -XVERSION= -XBUILD=tests -XOS=$(OS)
	cp -r data $(DESTDIR)$(PREFIX)/$(TESTDIR)

clean:
	rm -rf $(OBJDIR)
	rm -rf $(LIBDIR)

dist:
	@echo "Creating release tarball $(TARBALL) ... "
	git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)

.PHONY: tests

include doc/doc.mk

=== debian/changelog ===
anet (0.4.3-3) unstable; urgency=medium

  * Break/Replace libanet*-dev since oldstable. Closes: #1035013 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:26:53 +0200

anet (0.4.3-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Avoid setting VERSION twice.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:23:40 +0100

anet (0.4.3-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.4.3
  * Adjust make commands for version 0.4.3
  * Stop repackaging (fonts are gone)
  * Add upstream metadata

  [ Nicolas Boulenguez ]
  * Stop Build-Depending on unversioned gnat
  * Bump Standards-Version
  * Switch to dh-ada-library/8.2 and packaging.mk
  * Build with gnat 12 for experimental, rename -dev package
  * Remove patches applied upstream

 -- Reto Buerki <reet@codelabs.ch>  Mon, 05 Dec 2022 08:41:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.2),
  dh-sequence-ada-library,
- gnat,
- gnat-11,
+ gnat-12,
  gprbuild,
- libahven10-dev,
+ libahven11-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/anet/
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet6-dev
-# This line is parsed by debian/rules.
+Package: libanet7-dev
+Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
+Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -32,7 +32,6 @@
  .
  This package contains the development files.
 
-# This line is parsed by debian/rules:
 Package: libanet0.4.3
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  OS=$(OS) \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) VERSION=$(anet_SO_VERSION)
	$(MAKE) $(MAKE_OPTS) VERSION=
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) $(MAKE_OPTS) install VERSION=$(anet_SO_VERSION) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,anet)'
	$(MAKE) $(MAKE_OPTS) install VERSION= \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

# d/doc-base affects the -dev package because it is listed first in d/control.
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(anet_DEV_PKG)/ $< > $@

## anet 0.5.0

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,10 @@
 TESTDIR   = tests
 OBJDIR    = obj/$(OS)
 COVDIR    = $(OBJDIR)/coverage
-LIBDIR    = lib
 
 MAJOR    = 0
-MINOR    = 4
-REVISION = 3
+MINOR    = 5
+REVISION = 0
 # Set VERSION to '' for a static library.
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
@@ -14,7 +13,7 @@
 
 OS ?= linux
 
-NUM_CPUS ?= 1
+NUM_CPUS ?= $(shell nproc)
 
 # GNAT_BUILDER_FLAGS may be overridden in the
 # environment or on the command line.
@@ -70,8 +69,7 @@
 	cp -r data $(DESTDIR)$(PREFIX)/$(TESTDIR)
 
 clean:
-	rm -rf $(OBJDIR)
-	rm -rf $(LIBDIR)
+	rm -rf obj
 
 dist:
 	@echo "Creating release tarball $(TARBALL) ... "

=== debian/changelog ===
anet (0.5.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:38:43 +0000

anet (0.5.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 20:03:19 +0100

anet (0.5.0-2) experimental; urgency=medium

  * Add patch to remove -fcf-protection compiler switch

 -- Reto Buerki <reet@codelabs.ch>  Thu, 18 Jan 2024 08:59:53 +0100

anet (0.5.0-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.5.0. Closes: #1043987.
  * Update (and simplify) copyright years.

  [ Nicolas Boulenguez ]
  * Upload to experimental because of the following transitions.
  * Build with gnat-13. Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Clarify doc installation and test dependencies with unversioned -dev.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 08 Jan 2024 09:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: anet
 Section: libs
 Priority: optional
-Maintainer: Reto Buerki <reet@codelabs.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reto Buerki <reet@codelabs.ch>
 Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 8.2),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
+ gnat (>= 13.1),
  gprbuild,
- libahven11-dev,
+ libahven-dev,
  ruby-pygments.rb,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -19,9 +20,10 @@
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet7-dev
-Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
-Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
+Package: libanet-dev
+Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev, libanet7-dev
+Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev, libanet7-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,3 @@
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	$(MAKE) $(MAKE_OPTS) tests
-
-# d/doc-base affects the -dev package because it is listed first in d/control.
-override_dh_auto_build: debian/doc-base
-debian/doc-base: debian/template_libanet-dev.doc-base
-	sed s/@dev_pkg@/$(anet_DEV_PKG)/ $< > $@

## anet 0.5.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 MAJOR    = 0
 MINOR    = 5
-REVISION = 0
+REVISION = 1
 # Set VERSION to '' for a static library.
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)

=== debian/changelog ===
anet (0.5.1-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Mar 2025 16:09:03 +0100

anet (0.5.1-3) experimental; urgency=medium

  * Build tests with -O0 on arm{el,hf} as a work-around for ahven/#1096181

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Feb 2025 15:06:30 +0000

anet (0.5.1-2) experimental; urgency=medium

  * Only select protection build flags on aarch64 arm x86_64.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 16 Feb 2025 19:25:33 +0000

anet (0.5.1-1) experimental; urgency=medium

  * Build with gnat-14 in experimental
  * New upstream release
  * Bump Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 01 Jan 2025 18:46:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/packaging.mk
+
+export TARGET_ARCH := $(DEB_HOST_GNU_TYPE)
 
 OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))
 
@@ -32,6 +34,11 @@
 	$(MAKE) $(MAKE_OPTS) install VERSION= \
 	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'
 
+# work-around #1096181 in ahven.
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
+  override_dh_auto_test: export ADAFLAGS += -O0
+endif
+
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	$(MAKE) $(MAKE_OPTS) tests

=== debian/tests/control ===
Tests: link-with-shared
Depends: gprbuild, libanet-dev,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.codelabs.ch/download/libanet@ANY_VERSION@@ARCHIVE_EXT@
